package dw_sdk

type Client struct {
	articleServiceClient ArticleServiceClient
	consignBidClient     BidClient
	preSaleBidClient     BidClient
}

func NewClient(cfg Config) *Client {
	return &Client{
		articleServiceClient: NewArticleServiceClient(cfg),
		consignBidClient:     NewConsignBidClient(cfg),
		preSaleBidClient:     NewPreSaleBidClient(cfg),
	}
}

func (c *Client) ArticleService() ArticleServiceClient {
	return c.articleServiceClient
}

func (c *Client) ConsignBidClient() BidClient {
	return c.consignBidClient
}
